#!which python3
from kmip.pie import objects
from kmip.pie import client
from kmip import enums
import ssl
from kmip.pie.client import ProxyKmipClient, enums
c = ProxyKmipClient(config='client', config_file='kmip/pykmip.conf')
with c:
    key_id = c.create_key_pair(
            enums.CryptographicAlgorithm.RSA,
            2048,
            operation_policy_name='default',
            public_name='Mitko_2048_RSA_Public_Key',
            public_usage_mask=[
                enums.CryptographicUsageMask.VERIFY
                ],
            private_name='Mitko_2048_RSA_Private_Key',
            private_usage_mask=[
                enums.CryptographicUsageMask.SIGN
                ]
            )
    print (key_id)
